## kdav 5.104.0

=== debian/changelog ===
kdav (1:5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:24 +0000

kdav (1:5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:18 +0000

kdav (1:5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:06 +0000

kdav (1:5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:25 +0000

kdav (1:5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:59 +0000

kdav (1:5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:11 +0000

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.12),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/kdav
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
Rules-Requires-Root: no

Package: libkf5dav-data
Architecture: all
Multi-Arch: foreign
Breaks: libkpimkdav-data
Replaces: libkpimkdav-data
Depends: ${misc:Depends}
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libkpimkdav-dev
Replaces: libkpimkdav-dev
Depends: libkf5dav5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.104.0~),
         libqt5xmlpatterns5-dev (>= 5.15.2~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: DAV protocol implementation with KJobs - development files
 A DAV protocol implementation with KJobs.
 .
 This package contains the development files to work with KDav.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: DAV protocol implementation with KJobs - documentation
 A DAV protocol implementation with KJobs.
 .
 This package contains the qch documentation files.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav5
Architecture: any
Multi-Arch: same
Depends: libkf5dav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package contains the shared library.
 .
 This package is part of KDE Frameworks 5.

## kdav 5.109.0

=== debian/changelog ===
kdav (1:5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:48:05 +0100

kdav (1:5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:18:39 +0100

kdav (1:5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:31 +0100

kdav (1:5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:44:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5kio-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5kio-dev (>= 5.109.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -46,7 +46,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.104.0~),
+         libkf5i18n-dev (>= 5.109.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kdav 5.110.0

=== debian/changelog ===
kdav (1:5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -46,7 +46,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.109.0~),
+         libkf5i18n-dev (>= 5.110.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kdav 5.113.0

=== debian/changelog ===
kdav (1:5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:13 +0000

kdav (1:5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:03 +0000

kdav (1:5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:42 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -46,7 +46,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.113.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kdav 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts

project(libkdav VERSION ${KF_VERSION})

find_package(ECM 5.115.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(CMakeFindDependencyMacro)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(FeatureSummary)
include(ECMAddQch)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)


set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui Test)

find_package(KF5 ${KF_DEP_VERSION} REQUIRED CoreAddons KIO I18n)

# setup lib

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDAV
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdav_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfigVersion.cmake"
    SOVERSION 5
    )

ki18n_install(po)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(test)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DAV")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5DAV_QCH
        FILE KF5DAVQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DAVQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5DAVConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5DAVConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5DAVTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5DAVTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kdav_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDAV COMPONENT Devel
    )


feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kdav (1:5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:29:56 +0000

kdav (1:5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:48:29 +0000

kdav (1:5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:49:34 -0700

kdav (1:5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:07:41 -0700

kdav (1:5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:46:08 -0700

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5i18n-dev (>= 5.113.0~),
-               libkf5kio-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
+               libkf5kio-dev (>= 5.115.0~),
                libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,
@@ -46,7 +46,7 @@
 Breaks: libkpimkdav-dev
 Replaces: libkpimkdav-dev
 Depends: libkf5dav5 (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.115.0~),
          libqt5xmlpatterns5-dev (>= 5.15.2~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz

## kdav 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 
 project(libkdav VERSION ${KF_VERSION})
 
-find_package(ECM 5.115.0 CONFIG REQUIRED)
+find_package(ECM 5.116.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)

=== debian/changelog ===
kdav (1:5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:01 +0200

kdav (1:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.
  * Add myself to Uploaders.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:18:56 +0200

kdav (1:5.115.0-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Enable LTO (Closes: #1015442).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:37 +0100

kdav (1:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:44 +0200

kdav (1:5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.12),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kdav
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git
Rules-Requires-Root: no

Package: libkf5dav-data
Architecture: all
Multi-Arch: foreign
Breaks: libkpimkdav-data,
Replaces: libkpimkdav-data,
Depends: ${misc:Depends},
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libkpimkdav-dev,
Replaces: libkpimkdav-dev,
Depends: libkf5dav5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.116.0~),
         libqt5xmlpatterns5-dev (>= 5.15.2~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: DAV protocol implementation with KJobs - development files
 A DAV protocol implementation with KJobs.
 .
 This package contains the development files to work with KDav.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: DAV protocol implementation with KJobs - documentation
 A DAV protocol implementation with KJobs.
 .
 This package contains the qch documentation files.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5dav5
Architecture: any
Multi-Arch: same
Depends: libkf5dav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package contains the shared library.
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	mkdir -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
	chmod 700 $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
	- XDG_RUNTIME_DIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime xvfb-run --server-args="-screen 0 1024x768x24 +extension GLX" -- \
	        dh_auto_test --no-parallel
	rm -r $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime

## kdav 5.116.0+p24.04+vstable+git20250824.0926

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vstable+git20250824.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 09:26:11 +0000

kdav (1:5.116.0-0neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:38:03 +1000

kdav (1:5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:22:24 +0000

kdav (1:5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:16:44 +0000

kdav (1:5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:58:04 +0000

kdav (1:5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:39:53 +0000

kdav (1:5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 16:14:17 +0000

kdav (1:5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:21:11 +0000

kdav (1:5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 04:11:50 +0000

kdav (1:5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 21:47:38 +0000

kdav (1:5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:51:28 +0000

kdav (1:5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:46:16 +0000

kdav (1:5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:20:28 +0000

kdav (1:5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:29:26 +0000

kdav (1:5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:48:17 +0000

kdav (1:5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:51:15 +0000

kdav (1:5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:00:15 +0000

kdav (1:5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:14:33 +0000

kdav (1:5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:21:22 +0000

kdav (1:5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:55:00 +0000

kdav (1:5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:27:34 +0000

kdav (1:5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:54:38 +0000

kdav (1:5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:23:38 +0000

kdav (1:5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:08:23 +0000

kdav (1:5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:27:18 +0000

kdav (1:5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:31 +0000

kdav (1:5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 23:54:06 +0000

kdav (1:5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:13 +0000

kdav (1:5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:17:46 +0000

kdav (1:5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:25:00 +0000

kdav (1:5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:15:23 +0000

kdav (1:5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:08:48 +0000

kdav (1:5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:10:34 +0000

kdav (1:5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:06 +0000

kdav (1:5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:10:06 +0000

kdav (1:5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:04:08 +0000

kdav (1:5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:45 +0000

kdav (1:5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:06 +0000

kdav (1:5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:22:49 +0000

kdav (1:5.73.0-0neon) bionic; urgency=medium

  [ Jonathan Riddell ]
  * New release in frameworks

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:13:32 +0000

kdav (20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:38:24 +0000

kdav (20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:23:19 +0000

kdav (20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:46:20 +0000

kdav (19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:57:39 +0000

kdav (19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:45:07 +0000

kdav (19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:15:13 +0000

kdav (19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:52:07 +0000



## kdav 5.116.0+p24.04+vstable+git20251015.1136

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 
 project(libkdav VERSION ${KF_VERSION})

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vstable+git20251015.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:36:59 +0000

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.23.0~),
               libkf5coreaddons-dev,
               libkf5kio-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdav.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdav
Maintainer: Neon CI <neon@kde.org>

Package: libkf5dav-data
Architecture: all
Depends: ${misc:Depends}
Replaces: libkpimkdav-data, libkpimkdav5
Breaks: libkpimkdav-data, libkpimkdav5
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 KDav is part of the KDE PIM module.

Package: libkf5dav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev,
         libkf5dav5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkpimkdav-dev
Replaces: libkpimkdav-dev
Description: DAV protocol implementation with KJobs - developer files
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

Package: libkf5dav5
Architecture: any
Multi-Arch: same
Depends: libkf5dav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkpimkdav-data (<< 17.04.0), libkpimkdav5
Replaces: libkpimkdav-data (<< 17.04.0), libkpimkdav5
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/kdav-(.*)\.tar\.xz

## kdav 5.116.0+p24.04+vstable+git20251018.2358

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vstable+git20251018.2358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:58:23 +0000

## kdav 5.116.0+p24.04+vstable+git20251220.0248

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vstable+git20251220.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:48:32 +0000

## kdav 5.116.0+p24.04+vstable+git20251226.0236

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vstable+git20251226.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:36:18 +0000

## kdav 5.116.0+p24.04+vstable+git20260113.0333

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vstable+git20260113.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:33:25 +0000

## kdav 5.116.0+p24.04+vunstable+git20251018.2359

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vunstable+git20251018.2359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:59:00 +0000

## kdav 5.116.0+p24.04+vunstable+git20251124.0940

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vunstable+git20251124.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 09:40:21 +0000

## kdav 5.116.0+p24.04+vunstable+git20251224.0920

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vunstable+git20251224.0920-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:20:29 +0000

## kdav 5.116.0+p24.04+vunstable+git20260113.0149

=== debian/changelog ===
kdav (1:5.116.0+p24.04+vunstable+git20260113.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:49:13 +0000

## kdav 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(libkdav VERSION ${PIM_VERSION})

set(LIBKDAV_VERSION ${PIM_VERSION})

configure_file(libkdav-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkdav-version.h @ONLY)

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(CMakeFindDependencyMacro)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)

set(QT_REQUIRED_VERSION "5.8.0")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui XmlPatterns Test)

find_package(KF5 ${KF5_VERSION} REQUIRED CoreAddons KIO)

# setup lib

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DQT_NO_URL_CAST_FROM_STRING )
add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)


ecm_setup_version(${LIBKDAV_VERSION} VARIABLE_PREFIX KDAV
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimkdav_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimKDAVConfigVersion.cmake"
    SOVERSION 5
    )

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimKDAV")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimKDAVConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimKDAVConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPimKDAVConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimKDAVConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KPimKDAVTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPimKDAVTargets.cmake NAMESPACE KPim::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimkdav_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim COMPONENT Devel
    )

install(FILES kdav.categories DESTINATION ${KDE_INSTALL_CONFDIR})

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(test)
endif()

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== src/CMakeLists.txt ===
include_directories(
   common/
   protocols/
)

########### next target ###############

set(libkdav_SRCS
 common/davjobbase.cpp
 common/davcollection.cpp
 common/davcollectiondeletejob.cpp
 common/davcollectionsfetchjob.cpp
 common/davcollectionmodifyjob.cpp
 common/davcollectionsmultifetchjob.cpp
 common/davprotocolbase.cpp
 common/daverror.cpp
 common/davitem.cpp
 common/davitemcreatejob.cpp
 common/davitemdeletejob.cpp
 common/davitemfetchjob.cpp
 common/davitemmodifyjob.cpp
 common/davitemsfetchjob.cpp
 common/davitemslistjob.cpp
 common/davmanager.cpp
 common/davmultigetprotocol.cpp
 common/davprincipalhomesetsfetchjob.cpp
 common/davprincipalsearchjob.cpp
 common/davurl.cpp
 common/utils.cpp
 common/etagcache.cpp

 protocols/groupdavprotocol.cpp

 #KContacts
 protocols/carddavprotocol.cpp

 #KCalCore
 protocols/caldavprotocol.cpp
)


ecm_generate_headers(KDAV_Camelcase_HEADERS
    HEADER_NAMES
    DavJobBase
    DavCollection
    DavCollectionDeleteJob
    DavCollectionsFetchJob
    DavCollectionModifyJob
    DavCollectionsMultiFetchJob
    DavError
    DavItem
    DavItemCreateJob
    DavItemDeleteJob
    DavItemFetchJob
    DavItemModifyJob
    DavItemsFetchJob
    DavItemsListJob
    DavManager
    DavProtocolBase
    DavPrincipalHomesetsFetchJob
    DavPrincipalSearchJob
    DavUrl
    Utils
    Enums
    EtagCache
    REQUIRED_HEADERS KDAV_HEADERS
    PREFIX KDAV
    RELATIVE common
    )

install(FILES
    ${KDAV_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KDAV
    COMPONENT Devel
    )

install(FILES
    ${KDAV_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpimkdav_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/libkdav_debug.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/kdav
    COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME kdav
    LIB_NAME KPimKDAV
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KDAV
    )

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
    )

ecm_qt_declare_logging_category(libkdav_SRCS HEADER libkdav_debug.h IDENTIFIER KDAV_LOG CATEGORY_NAME org.kde.pim.kdav)

add_library(KPimKDAV
   ${libkdav_SRCS}
   )

generate_export_header(KPimKDAV BASE_NAME kpimkdav)

add_library(KPim::KDAV ALIAS KPimKDAV)

target_link_libraries(KPimKDAV
PUBLIC
    KF5::CoreAddons
PRIVATE
    Qt5::Xml
    Qt5::Gui
    Qt5::XmlPatterns
    KF5::KIOCore
    )

set_target_properties(KPimKDAV PROPERTIES
    VERSION ${KDAV_VERSION_STRING}
    SOVERSION ${KDAV_SOVERSION}
    EXPORT_NAME KDAV
    )

install(TARGETS
    KPimKDAV
    EXPORT KPimKDAVTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    ${LIBRARY_NAMELINK}
    )

target_include_directories(KPimKDAV INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KDAV/;${KDE_INSTALL_INCLUDEDIR}/KPim/kdav;${KDE_INSTALL_INCLUDEDIR}/KPim>")

=== test/CMakeLists.txt ===
kde_enable_exceptions()
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(testserver_SRCS
  testserver.cpp
)

add_executable(testserver ${testserver_SRCS})

target_link_libraries(testserver
    Qt5::Core
    KPim::KDAV
    Qt5::Xml
    )

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.23.0~),
               libkf5coreaddons-dev,
               libkf5kio-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
Vcs-Git: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav

Package: libkpimkdav5
Architecture: any
Multi-Arch: same
Depends: libkpimkdav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

Package: libkpimkdav-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: DAV protocol implementation with KJobs - data files
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

Package: libkpimkdav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev,
         libkpimkdav5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DAV protocol implementation with KJobs - developer files
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	true

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/applications/([\d.]+)/src/kdav-([\d.]+).tar.xz

## kdav 18.04.3

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5kio-dev,
                libqt5xmlpatterns5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
+               qtbase5-dev,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
@@ -42,7 +42,7 @@
 Depends: libkf5coreaddons-dev,
          libkpimkdav5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: DAV protocol implementation with KJobs - developer files
  A DAV protocol implementation with KJobs.
  .

## kdav 18.08.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+add_definitions(-DTRANSLATION_DOMAIN=\"libkdav\")
 include_directories(
    common/
    protocols/
@@ -111,6 +112,7 @@
     Qt5::Gui
     Qt5::XmlPatterns
     KF5::KIOCore
+    KF5::I18n
     )
 
 set_target_properties(KPimKDAV PROPERTIES

## kdav 18.08.3.1+rb2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(libkdav VERSION ${PIM_VERSION})
 
 set(LIBKDAV_VERSION ${PIM_VERSION})
 
-configure_file(libkdav-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkdav-version.h @ONLY)
-
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,18 +24,18 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui XmlPatterns Test)
 
-find_package(KF5 ${KF5_VERSION} REQUIRED CoreAddons KIO)
+find_package(KF5 ${KF5_VERSION} REQUIRED CoreAddons KIO I18n)
 
 # setup lib
 
-add_definitions( -DQT_NO_CAST_FROM_ASCII )
-add_definitions( -DQT_NO_CAST_TO_ASCII )
-add_definitions( -DQT_NO_URL_CAST_FROM_STRING )
-add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
 
@@ -81,3 +79,4 @@
                 INCLUDE_QUIET_PACKAGES
                 FATAL_ON_MISSING_REQUIRED_PACKAGES
 )
+ki18n_install(po)

=== debian/changelog ===
kdav (18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:16:26 +0800

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.47.0~),
               libqt5xmlpatterns5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git

Package: libkpimkdav-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimkdav5
Replaces: libkpimkdav5
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 KDav is part of the KDE PIM module.

Package: libkpimkdav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpimkdav5abi2 (= ${binary:Version}), ${misc:Depends}
Description: DAV protocol implementation with KJobs - development files
 A DAV protocol implementation with KJobs.
 .
 This package contains the development files to work with KDav.
 .
 KDav is part of the KDE PIM module.

Package: libkpimkdav5abi2
X-Debian-ABI: 2
X-CMake-Target: KPimKDAV
Architecture: any
Multi-Arch: same
Depends: libkpimkdav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package contains the shared library.
 .
 KDav is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	mkdir -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
	chmod 700 $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
	- XDG_RUNTIME_DIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime xvfb-run --server-args="-screen 0 1024x768x24 +extension GLX" -- \
	        dh_auto_test --no-parallel
	rm -r $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime

## kdav 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+set(PIM_VERSION "5.10.3")
 
 project(libkdav VERSION ${PIM_VERSION})
 
 set(LIBKDAV_VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.47.0")
+set(KF5_VERSION "5.51.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,7 +22,7 @@
 include(ECMAddTests)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 
 set(QT_REQUIRED_VERSION "5.9.0")
 
@@ -32,11 +32,8 @@
 
 # setup lib
 
-add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+
 
 
 ecm_setup_version(${LIBKDAV_VERSION} VARIABLE_PREFIX KDAV

## kdav 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.10.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.11.3")
 
 project(libkdav VERSION ${PIM_VERSION})
 
 set(LIBKDAV_VERSION ${PIM_VERSION})
 
-set(KF5_VERSION "5.51.0")
+set(KF5_MIN_VERSION "5.56.0")
 
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(CMakeFindDependencyMacro)
@@ -24,15 +24,20 @@
 include(ECMQtDeclareLoggingCategory)
 
 
-set(QT_REQUIRED_VERSION "5.9.0")
+set(QT_REQUIRED_VERSION "5.10.0")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui XmlPatterns Test)
 
-find_package(KF5 ${KF5_VERSION} REQUIRED CoreAddons KIO I18n)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED CoreAddons KIO I18n)
 
 # setup lib
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
+if (${Qt5Widgets_VERSION} STRGREATER "5.13")
+   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
+else()
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()

## kdav 19.08.3

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdav
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdav.git

Package: libkpimkdav-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 KDav is part of the KDE PIM module.

Package: libkpimkdav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5i18n-dev (>= 5.60.0~),
         libkpimkdav5abi2 (= ${binary:Version}),
         libqt5xmlpatterns5-dev (>= 5.11.0~),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: DAV protocol implementation with KJobs - development files
 A DAV protocol implementation with KJobs.
 .
 This package contains the development files to work with KDav.
 .
 KDav is part of the KDE PIM module.

Package: libkpimkdav5abi2
X-Debian-ABI: 2
X-CMake-Target: KPimKDAV
Architecture: any
Multi-Arch: same
Depends: libkpimkdav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package contains the shared library.
 .
 KDav is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+
+AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
+pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))
+
+override_dh_makeshlibs:
+	for pkg in $(pkgs_lib); do \
+		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
+		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
+		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+	done
 
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/runtime
